/******************************************
 *       UNIQUE SEQUENCE IDENTIFIER       *
 *              Written By:               *
 *              Ross Walker               *
 *           Dept of Chemistry            *
 *            Imperial College            *
 *                 London                 *
 *                SW7 2AY                 *
 ******************************************/

/*Error messages*/

#include <stdio.h>

void malloc_failure_char(char *routine, char *var_name, long bytes_requested)
{
   /*This routine prints out a standard malloc failure message with the routine
     name, variable name and the number of bytes requested for char data types*/
     printf("\nFATAL ERROR IN %s SUBROUTINE\n",routine);
     printf("COMMAND WAS: %s = malloc(%ld * sizeof(char));\n",var_name,bytes_requested);
     printf("STATUS - FAILED TO ALLOCATE %ld bytes\n",bytes_requested);
}

void malloc_failure_int(char *routine, char *var_name, long bytes_requested)
{
   /*This routine prints out a standard malloc failure message with the routine
     name, variable name and the number of bytes requested for char data types*/
     printf("\nFATAL ERROR IN %s SUBROUTINE\n",routine);
     printf("COMMAND WAS: %s = malloc(%ld * sizeof(int));\n",var_name,bytes_requested);
     printf("STATUS - FAILED TO ALLOCATE %ld bytes\n",bytes_requested);
}
