/******************************************
 *       UNIQUE SEQUENCE IDENTIFIER       *
 *              Written By:               *
 *              Ross Walker               *
 *           Dept of Chemistry            *
 *            Imperial College            *
 *                 London                 *
 *                SW7 2AY                 *
 ******************************************/

/*This module prints out program info and command
  line help*/

#include <stdio.h>

void print_prog_info()
{
  printf("         ******************************************\n");
  printf("         *                                        *\n");
  printf("         *   UNIQUE PROTEIN SEQUENCE IDENTIFIER   *\n");
  printf("         *            Version 0.1.2               *\n");
  printf("         *                                        *\n");
  printf("         *              Written By:               *\n");
  printf("         *              Ross Walker               *\n");
  printf("         *           Dept. of Chemistry           *\n");
  printf("         *            Imperial College            *\n");
  printf("         *            London, SW7 2AY             *\n");
  printf("         *                                        *\n");
  printf("         ******************************************\n");
  printf("\n\n");
}

void command_line_help(char *cmd_line_options[])
{
printf("Usage is:\n");
printf("  %s -i sequence_data -a [1/2] -s x\n",cmd_line_options[0]);
printf("\n");
printf("All switches are optional. If not specified the following defaults are loaded:\n");
printf("     -i sequence.dat\n");
printf("     -a 1    Algorithm to use\n");
printf("	 -s 1    Sequence length to begin search with.\n");
printf("     /history prints program development history\n\n");
}
