/******************************************
 *       UNIQUE SEQUENCE IDENTIFIER       *
 *              Written By:               *
 *              Ross Walker               *
 *           Dept of Chemistry            *
 *            Imperial College            *
 *                 London                 *
 *                SW7 2AY                 *
 ******************************************/

#include <stdio.h>

#include "definitions.h"

/*prints *data contents as text*/
void print_search_as_text(int *search, intlong search_length)
{
	intlong search_current;

	for (search_current=0;search_current<=search_length;search_current++)
	{
		if (*(search+search_current)==ALA)
			printf("ALA,");
		else if (*(search+search_current)==ARG)
			printf("ARG,");
		else if (*(search+search_current)==ASN)
			printf("ASN,");
		else if (*(search+search_current)==ASP)
			printf("ASP,");
		else if (*(search+search_current)==CYS)
			printf("CYS,");
		else if (*(search+search_current)==GLN)
			printf("GLN,");
		else if (*(search+search_current)==GLU)
			printf("GLU,");
		else if (*(search+search_current)==GLY)
			printf("GLY,");
		else if (*(search+search_current)==HIS)
			printf("HIS,");
		else if (*(search+search_current)==ILE)
			printf("ILE,");
		else if (*(search+search_current)==LEU)
			printf("LEU,");
		else if (*(search+search_current)==LYS)
			printf("LYS,");
		else if (*(search+search_current)==MET)
			printf("MET,");
		else if (*(search+search_current)==PHE)
			printf("PHE,");
		else if (*(search+search_current)==PRO)
			printf("PRO,");
		else if (*(search+search_current)==SER)
			printf("SER,");
		else if (*(search+search_current)==THR)
			printf("THR,");
		else if (*(search+search_current)==TRP)
			printf("TRP,");
		else if (*(search+search_current)==TYR)
			printf("TYR,");
		else if (*(search+search_current)==VAL)
			printf("VAL,");
	}
}

